Discussion:
transitive optional dependency issues
(too old to reply)
Walter A. Boring IV
2011-10-31 18:39:00 UTC
Permalink
Hey guys,
I'm having yet another build issue w/ tycho. I have an eclipse
plugin that I'm trying to build that requires another osgi wrapper
bundle. The wrapper bundle is just a simple osgi jar that has many
optional dependencies listed in it's Import-Package statement. Tycho
seems to want to try and resolve all of those optional dependencies.
How can I force tycho to ignore those optional transitive dependencies?

Here is the section of the MANIFEST.MF from my osgi wrapper jar that I'm
building against (com.hp.oo.oo-content-api-osgi)

Import-Package: com.bea.xml.stream;resolution=optional,com.ibm.uvm.tools
;resolution=optional,com.sun.jdi;resolution=optional,com.sun.jdi.connec
t;resolution=optional,com.sun.jdi.event;resolution=optional,com.sun.jdi
.request;resolution=optional,com.sun.jdmk.comm;resolution=optional,com.
sun.msv.datatype;resolution=optional,com.sun.msv.datatype.xsd;resolutio
n=optional,javax.annotation;resolution=optional,
...

The tycho error....

Caused by: java.lang.RuntimeException: "No solution found because the
problem is unsatisfiable.": ["Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.bea.xml.stream 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.ibm.uvm.tools 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.jdmk.comm 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.msv.datatype 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.msv.datatype.xsd 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package javax.jmdns
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.security.jacc 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.constraints 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.groups 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.metadata 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
net.sf.cglib.transform.impl 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package nu.xom 0.0.0.",
"Unable to satisfy dependency from com.hp.oo.oo-content-api-osgi
1.0.26.SNAPSHOT to package org.apache.avalon.framework.logger 0.0.0.",
"Unable to satisfy dependency from com.hp.oo.oo-content-api-osgi
1.0.26.SNAPSHOT to package org.apache.log 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.codehaus.jettison 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.codehaus.jettison.mapped 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.gjt.xpp
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.jaxen
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.jaxen.dom4j
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.pattern 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.saxpath 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.joda.time
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.joda.time.format 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.relaxng.datatype 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.springframework.beans.factory.annotation 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.springframework.orm.jpa.persistenceunit 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
sun.misc 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package sun.reflect
0.0.0.", "Unable to satisfy dependency from org.eclipse.jdt.core
3.7.0.v_OTDT_r200_201106070730 to bundle org.eclipse.jdt.ui
[3.7.0.v20110531-1200,3.7.0.v20110531-1201).", "Unable to satisfy
dependency from org.eclipse.jdt.core 3.7.0.v_OTDT_r200_201106070730 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
"Unable to satisfy dependency from org.eclipse.jdt.core
3.7.1.v_OTDT_r201_201109101025 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
"No solution found because the problem is unsatisfiable."]
at
org.eclipse.tycho.p2.impl.resolver.ProjectorResolutionStrategy.resolve(ProjectorResolutionStrategy.java:106)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:102)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:69)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.doResolvePlatform(P2TargetPlatformResolver.java:342)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.resolvePlatform(P2TargetPlatformResolver.java:162)
at
org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTychoDependencyResolver.java:85)
at
org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenLifecycleParticipant.java:91)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:273)
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
... 11 more
Igor Fedorenko
2011-11-01 13:31:14 UTC
Permalink
Tycho 0.13 is already supposed to ignore optional dependencies and we
actually got quite a few unhappy users because of that [1]


[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=351842

--
Regards,
Igor
Post by Walter A. Boring IV
Hey guys,
I'm having yet another build issue w/ tycho. I have an eclipse plugin
that I'm trying to build that requires another osgi wrapper bundle. The
wrapper bundle is just a simple osgi jar that has many optional
dependencies listed in it's Import-Package statement. Tycho seems to
want to try and resolve all of those optional dependencies. How can I
force tycho to ignore those optional transitive dependencies?
Here is the section of the MANIFEST.MF from my osgi wrapper jar that I'm
building against (com.hp.oo.oo-content-api-osgi)
Import-Package: com.bea.xml.stream;resolution=optional,com.ibm.uvm.tools
;resolution=optional,com.sun.jdi;resolution=optional,com.sun.jdi.connec
t;resolution=optional,com.sun.jdi.event;resolution=optional,com.sun.jdi
.request;resolution=optional,com.sun.jdmk.comm;resolution=optional,com.
sun.msv.datatype;resolution=optional,com.sun.msv.datatype.xsd;resolutio
n=optional,javax.annotation;resolution=optional,
...
The tycho error....
Caused by: java.lang.RuntimeException: "No solution found because the
problem is unsatisfiable.": ["Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.bea.xml.stream 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.ibm.uvm.tools 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.jdmk.comm 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.msv.datatype 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.msv.datatype.xsd 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package javax.jmdns
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.security.jacc 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.constraints 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.groups 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.metadata 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
net.sf.cglib.transform.impl 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package nu.xom 0.0.0.",
"Unable to satisfy dependency from com.hp.oo.oo-content-api-osgi
1.0.26.SNAPSHOT to package org.apache.avalon.framework.logger 0.0.0.",
"Unable to satisfy dependency from com.hp.oo.oo-content-api-osgi
1.0.26.SNAPSHOT to package org.apache.log 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.codehaus.jettison 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.codehaus.jettison.mapped 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.gjt.xpp
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.jaxen
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.jaxen.dom4j
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.pattern 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.saxpath 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.joda.time
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.joda.time.format 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.relaxng.datatype 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.springframework.beans.factory.annotation 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.springframework.orm.jpa.persistenceunit 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
sun.misc 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package sun.reflect
0.0.0.", "Unable to satisfy dependency from org.eclipse.jdt.core
3.7.0.v_OTDT_r200_201106070730 to bundle org.eclipse.jdt.ui
[3.7.0.v20110531-1200,3.7.0.v20110531-1201).", "Unable to satisfy
dependency from org.eclipse.jdt.core 3.7.0.v_OTDT_r200_201106070730 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
"Unable to satisfy dependency from org.eclipse.jdt.core
3.7.1.v_OTDT_r201_201109101025 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
"No solution found because the problem is unsatisfiable."]
at
org.eclipse.tycho.p2.impl.resolver.ProjectorResolutionStrategy.resolve(ProjectorResolutionStrategy.java:106)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:102)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:69)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.doResolvePlatform(P2TargetPlatformResolver.java:342)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.resolvePlatform(P2TargetPlatformResolver.java:162)
at
org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTychoDependencyResolver.java:85)
at
org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenLifecycleParticipant.java:91)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:273)
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
... 11 more
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
Walter A. Boring IV
2011-11-01 17:11:43 UTC
Permalink
The problem I have now is that the optional dependencies ARE being used
by tycho and I don't want them to be.
Tycho can't resolve the optional dependencies for some reason, so I want
them ignored. As you can see in my original post
I have many many many optional dependencies in the Import-Package
header, but tycho has no clue how to resolve them.

My team is already started to explore other options for building our
project, because we've been fighting with tycho for far
too long. I can honestly say we spend at least 1 or 2 days a week
dealing with new build problems due to tycho and maven.
Problems like this one.


Walt
Post by Igor Fedorenko
Tycho 0.13 is already supposed to ignore optional dependencies and we
actually got quite a few unhappy users because of that [1]
[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=351842
--
Regards,
Igor
Post by Walter A. Boring IV
Hey guys,
I'm having yet another build issue w/ tycho. I have an eclipse plugin
that I'm trying to build that requires another osgi wrapper bundle. The
wrapper bundle is just a simple osgi jar that has many optional
dependencies listed in it's Import-Package statement. Tycho seems to
want to try and resolve all of those optional dependencies. How can I
force tycho to ignore those optional transitive dependencies?
Here is the section of the MANIFEST.MF from my osgi wrapper jar that I'm
building against (com.hp.oo.oo-content-api-osgi)
Import-Package: com.bea.xml.stream;resolution=optional,com.ibm.uvm.tools
;resolution=optional,com.sun.jdi;resolution=optional,com.sun.jdi.connec
t;resolution=optional,com.sun.jdi.event;resolution=optional,com.sun.jdi
.request;resolution=optional,com.sun.jdmk.comm;resolution=optional,com.
sun.msv.datatype;resolution=optional,com.sun.msv.datatype.xsd;resolutio
n=optional,javax.annotation;resolution=optional,
...
The tycho error....
Caused by: java.lang.RuntimeException: "No solution found because the
problem is unsatisfiable.": ["Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.bea.xml.stream 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.ibm.uvm.tools 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.jdmk.comm 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.msv.datatype 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.msv.datatype.xsd 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package javax.jmdns
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.security.jacc 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.constraints 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.groups 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.metadata 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
net.sf.cglib.transform.impl 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package nu.xom 0.0.0.",
"Unable to satisfy dependency from com.hp.oo.oo-content-api-osgi
1.0.26.SNAPSHOT to package org.apache.avalon.framework.logger 0.0.0.",
"Unable to satisfy dependency from com.hp.oo.oo-content-api-osgi
1.0.26.SNAPSHOT to package org.apache.log 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.codehaus.jettison 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.codehaus.jettison.mapped 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.gjt.xpp
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.jaxen
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.jaxen.dom4j
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.pattern 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.saxpath 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.joda.time
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.joda.time.format 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.relaxng.datatype 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.springframework.beans.factory.annotation 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.springframework.orm.jpa.persistenceunit 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
sun.misc 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package sun.reflect
0.0.0.", "Unable to satisfy dependency from org.eclipse.jdt.core
3.7.0.v_OTDT_r200_201106070730 to bundle org.eclipse.jdt.ui
[3.7.0.v20110531-1200,3.7.0.v20110531-1201).", "Unable to satisfy
dependency from org.eclipse.jdt.core 3.7.0.v_OTDT_r200_201106070730 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
"Unable to satisfy dependency from org.eclipse.jdt.core
3.7.1.v_OTDT_r201_201109101025 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
"No solution found because the problem is unsatisfiable."]
at
org.eclipse.tycho.p2.impl.resolver.ProjectorResolutionStrategy.resolve(ProjectorResolutionStrategy.java:106)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:102)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:69)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.doResolvePlatform(P2TargetPlatformResolver.java:342)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.resolvePlatform(P2TargetPlatformResolver.java:162)
at
org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTychoDependencyResolver.java:85)
at
org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenLifecycleParticipant.java:91)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:273)
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
... 11 more
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
.
Igor Fedorenko
2011-11-01 20:33:26 UTC
Permalink
Can you confirm you are using tycho 0.13? If so, please open a bugreport
with example standalone project that demonstrates the problem and we'll
have a look.

--
Regards,
Igor
Post by Walter A. Boring IV
The problem I have now is that the optional dependencies ARE being used
by tycho and I don't want them to be.
Tycho can't resolve the optional dependencies for some reason, so I want
them ignored. As you can see in my original post
I have many many many optional dependencies in the Import-Package
header, but tycho has no clue how to resolve them.
My team is already started to explore other options for building our
project, because we've been fighting with tycho for far
too long. I can honestly say we spend at least 1 or 2 days a week
dealing with new build problems due to tycho and maven.
Problems like this one.
Walt
Post by Igor Fedorenko
Tycho 0.13 is already supposed to ignore optional dependencies and we
actually got quite a few unhappy users because of that [1]
[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=351842
--
Regards,
Igor
Post by Walter A. Boring IV
Hey guys,
I'm having yet another build issue w/ tycho. I have an eclipse plugin
that I'm trying to build that requires another osgi wrapper bundle. The
wrapper bundle is just a simple osgi jar that has many optional
dependencies listed in it's Import-Package statement. Tycho seems to
want to try and resolve all of those optional dependencies. How can I
force tycho to ignore those optional transitive dependencies?
Here is the section of the MANIFEST.MF from my osgi wrapper jar that I'm
building against (com.hp.oo.oo-content-api-osgi)
Import-Package: com.bea.xml.stream;resolution=optional,com.ibm.uvm.tools
;resolution=optional,com.sun.jdi;resolution=optional,com.sun.jdi.connec
t;resolution=optional,com.sun.jdi.event;resolution=optional,com.sun.jdi
.request;resolution=optional,com.sun.jdmk.comm;resolution=optional,com.
sun.msv.datatype;resolution=optional,com.sun.msv.datatype.xsd;resolutio
n=optional,javax.annotation;resolution=optional,
...
The tycho error....
Caused by: java.lang.RuntimeException: "No solution found because the
problem is unsatisfiable.": ["Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.bea.xml.stream 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.ibm.uvm.tools 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.jdmk.comm 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.msv.datatype 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.msv.datatype.xsd 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package javax.jmdns
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.security.jacc 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.constraints 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.groups 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.metadata 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
net.sf.cglib.transform.impl 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package nu.xom 0.0.0.",
"Unable to satisfy dependency from com.hp.oo.oo-content-api-osgi
1.0.26.SNAPSHOT to package org.apache.avalon.framework.logger 0.0.0.",
"Unable to satisfy dependency from com.hp.oo.oo-content-api-osgi
1.0.26.SNAPSHOT to package org.apache.log 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.codehaus.jettison 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.codehaus.jettison.mapped 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.gjt.xpp
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.jaxen
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.jaxen.dom4j
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.pattern 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.saxpath 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.joda.time
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.joda.time.format 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.relaxng.datatype 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.springframework.beans.factory.annotation 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.springframework.orm.jpa.persistenceunit 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
sun.misc 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package sun.reflect
0.0.0.", "Unable to satisfy dependency from org.eclipse.jdt.core
3.7.0.v_OTDT_r200_201106070730 to bundle org.eclipse.jdt.ui
[3.7.0.v20110531-1200,3.7.0.v20110531-1201).", "Unable to satisfy
dependency from org.eclipse.jdt.core 3.7.0.v_OTDT_r200_201106070730 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
"Unable to satisfy dependency from org.eclipse.jdt.core
3.7.1.v_OTDT_r201_201109101025 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
"No solution found because the problem is unsatisfiable."]
at
org.eclipse.tycho.p2.impl.resolver.ProjectorResolutionStrategy.resolve(ProjectorResolutionStrategy.java:106)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:102)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:69)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.doResolvePlatform(P2TargetPlatformResolver.java:342)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.resolvePlatform(P2TargetPlatformResolver.java:162)
at
org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTychoDependencyResolver.java:85)
at
org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenLifecycleParticipant.java:91)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:273)
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
... 11 more
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
.
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
Walter A. Boring IV
2011-11-02 22:32:31 UTC
Permalink
Ok I created a simple project that demonstrates the problem. I included
it in this message as an attachment.

I presume I should file a defect anyway?

Thanks,
Walt
Post by Igor Fedorenko
Can you confirm you are using tycho 0.13? If so, please open a bugreport
with example standalone project that demonstrates the problem and we'll
have a look.
--
Regards,
Igor
Post by Walter A. Boring IV
The problem I have now is that the optional dependencies ARE being used
by tycho and I don't want them to be.
Tycho can't resolve the optional dependencies for some reason, so I want
them ignored. As you can see in my original post
I have many many many optional dependencies in the Import-Package
header, but tycho has no clue how to resolve them.
My team is already started to explore other options for building our
project, because we've been fighting with tycho for far
too long. I can honestly say we spend at least 1 or 2 days a week
dealing with new build problems due to tycho and maven.
Problems like this one.
Walt
Post by Igor Fedorenko
Tycho 0.13 is already supposed to ignore optional dependencies and we
actually got quite a few unhappy users because of that [1]
[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=351842
--
Regards,
Igor
Post by Walter A. Boring IV
Hey guys,
I'm having yet another build issue w/ tycho. I have an eclipse plugin
that I'm trying to build that requires another osgi wrapper bundle. The
wrapper bundle is just a simple osgi jar that has many optional
dependencies listed in it's Import-Package statement. Tycho seems to
want to try and resolve all of those optional dependencies. How can I
force tycho to ignore those optional transitive dependencies?
Here is the section of the MANIFEST.MF from my osgi wrapper jar that I'm
building against (com.hp.oo.oo-content-api-osgi)
com.bea.xml.stream;resolution=optional,com.ibm.uvm.tools
;resolution=optional,com.sun.jdi;resolution=optional,com.sun.jdi.connec
t;resolution=optional,com.sun.jdi.event;resolution=optional,com.sun.jdi
.request;resolution=optional,com.sun.jdmk.comm;resolution=optional,com.
sun.msv.datatype;resolution=optional,com.sun.msv.datatype.xsd;resolutio
n=optional,javax.annotation;resolution=optional,
...
The tycho error....
Caused by: java.lang.RuntimeException: "No solution found because the
problem is unsatisfiable.": ["Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.bea.xml.stream 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.ibm.uvm.tools 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.jdmk.comm 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.msv.datatype 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.msv.datatype.xsd 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package javax.jmdns
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.security.jacc 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.constraints 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.groups 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.metadata 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
net.sf.cglib.transform.impl 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package nu.xom 0.0.0.",
"Unable to satisfy dependency from com.hp.oo.oo-content-api-osgi
1.0.26.SNAPSHOT to package org.apache.avalon.framework.logger 0.0.0.",
"Unable to satisfy dependency from com.hp.oo.oo-content-api-osgi
1.0.26.SNAPSHOT to package org.apache.log 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.codehaus.jettison 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.codehaus.jettison.mapped 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.gjt.xpp
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.jaxen
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.dom4j
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.pattern 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.saxpath 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.joda.time
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.joda.time.format 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.relaxng.datatype 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.springframework.beans.factory.annotation 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.springframework.orm.jpa.persistenceunit 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
sun.misc 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package sun.reflect
0.0.0.", "Unable to satisfy dependency from org.eclipse.jdt.core
3.7.0.v_OTDT_r200_201106070730 to bundle org.eclipse.jdt.ui
[3.7.0.v20110531-1200,3.7.0.v20110531-1201).", "Unable to satisfy
dependency from org.eclipse.jdt.core 3.7.0.v_OTDT_r200_201106070730 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
"Unable to satisfy dependency from org.eclipse.jdt.core
3.7.1.v_OTDT_r201_201109101025 to
org.eclipse.objectteams.otdt.core.patch.feature.group [2.0.0,3.0.0).",
"No solution found because the problem is unsatisfiable."]
at
org.eclipse.tycho.p2.impl.resolver.ProjectorResolutionStrategy.resolve(ProjectorResolutionStrategy.java:106)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:102)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:69)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.doResolvePlatform(P2TargetPlatformResolver.java:342)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.resolvePlatform(P2TargetPlatformResolver.java:162)
at
org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTychoDependencyResolver.java:85)
at
org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenLifecycleParticipant.java:91)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:273)
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
... 11 more
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
.
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
.
Walter A. Boring IV
2011-11-02 22:43:03 UTC
Permalink
Here is the defect.

https://bugs.eclipse.org/bugs/show_bug.cgi?id=362735

Walt
Post by Walter A. Boring IV
Ok I created a simple project that demonstrates the problem. I
included it in this message as an attachment.
I presume I should file a defect anyway?
Thanks,
Walt
Post by Igor Fedorenko
Can you confirm you are using tycho 0.13? If so, please open a bugreport
with example standalone project that demonstrates the problem and we'll
have a look.
--
Regards,
Igor
Post by Walter A. Boring IV
The problem I have now is that the optional dependencies ARE being used
by tycho and I don't want them to be.
Tycho can't resolve the optional dependencies for some reason, so I want
them ignored. As you can see in my original post
I have many many many optional dependencies in the Import-Package
header, but tycho has no clue how to resolve them.
My team is already started to explore other options for building our
project, because we've been fighting with tycho for far
too long. I can honestly say we spend at least 1 or 2 days a week
dealing with new build problems due to tycho and maven.
Problems like this one.
Walt
Post by Igor Fedorenko
Tycho 0.13 is already supposed to ignore optional dependencies and we
actually got quite a few unhappy users because of that [1]
[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=351842
--
Regards,
Igor
Post by Walter A. Boring IV
Hey guys,
I'm having yet another build issue w/ tycho. I have an eclipse plugin
that I'm trying to build that requires another osgi wrapper bundle. The
wrapper bundle is just a simple osgi jar that has many optional
dependencies listed in it's Import-Package statement. Tycho seems to
want to try and resolve all of those optional dependencies. How can I
force tycho to ignore those optional transitive dependencies?
Here is the section of the MANIFEST.MF from my osgi wrapper jar that I'm
building against (com.hp.oo.oo-content-api-osgi)
com.bea.xml.stream;resolution=optional,com.ibm.uvm.tools
;resolution=optional,com.sun.jdi;resolution=optional,com.sun.jdi.connec
t;resolution=optional,com.sun.jdi.event;resolution=optional,com.sun.jdi
.request;resolution=optional,com.sun.jdmk.comm;resolution=optional,com.
sun.msv.datatype;resolution=optional,com.sun.msv.datatype.xsd;resolutio
n=optional,javax.annotation;resolution=optional,
...
The tycho error....
Caused by: java.lang.RuntimeException: "No solution found because the
problem is unsatisfiable.": ["Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.bea.xml.stream 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.ibm.uvm.tools 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.jdmk.comm 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.msv.datatype 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
com.sun.msv.datatype.xsd 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package javax.jmdns
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.security.jacc 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.constraints 0.0.0.", "Unable to satisfy
dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.groups 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
javax.validation.metadata 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
net.sf.cglib.transform.impl 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package nu.xom 0.0.0.",
"Unable to satisfy dependency from com.hp.oo.oo-content-api-osgi
1.0.26.SNAPSHOT to package org.apache.avalon.framework.logger 0.0.0.",
"Unable to satisfy dependency from com.hp.oo.oo-content-api-osgi
1.0.26.SNAPSHOT to package org.apache.log 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.codehaus.jettison 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.codehaus.jettison.mapped 0.0.0.", "Unable to satisfy
dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.gjt.xpp
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package org.jaxen
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.dom4j
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.pattern 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.jaxen.saxpath 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.joda.time
0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.joda.time.format 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.relaxng.datatype 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.springframework.beans.factory.annotation 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
org.springframework.orm.jpa.persistenceunit 0.0.0.", "Unable to satisfy
dependency from com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package
sun.misc 0.0.0.", "Unable to satisfy dependency from
com.hp.oo.oo-content-api-osgi 1.0.26.SNAPSHOT to package sun.reflect
0.0.0.", "Unable to satisfy dependency from org.eclipse.jdt.core
3.7.0.v_OTDT_r200_201106070730 to bundle org.eclipse.jdt.ui
[3.7.0.v20110531-1200,3.7.0.v20110531-1201).", "Unable to satisfy
dependency from org.eclipse.jdt.core
3.7.0.v_OTDT_r200_201106070730 to
org.eclipse.objectteams.otdt.core.patch.feature.group
[2.0.0,3.0.0).",
"Unable to satisfy dependency from org.eclipse.jdt.core
3.7.1.v_OTDT_r201_201109101025 to
org.eclipse.objectteams.otdt.core.patch.feature.group
[2.0.0,3.0.0).",
"No solution found because the problem is unsatisfiable."]
at
org.eclipse.tycho.p2.impl.resolver.ProjectorResolutionStrategy.resolve(ProjectorResolutionStrategy.java:106)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:102)
at
org.eclipse.tycho.p2.impl.resolver.P2ResolverImpl.resolveProject(P2ResolverImpl.java:69)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.doResolvePlatform(P2TargetPlatformResolver.java:342)
at
org.eclipse.tycho.p2.resolver.P2TargetPlatformResolver.resolvePlatform(P2TargetPlatformResolver.java:162)
at
org.eclipse.tycho.core.resolver.DefaultTychoDependencyResolver.resolveProject(DefaultTychoDependencyResolver.java:85)
at
org.eclipse.tycho.core.maven.TychoMavenLifecycleParticipant.afterProjectsRead(TychoMavenLifecycleParticipant.java:91)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:273)
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:156)
... 11 more
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
.
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
.
_______________________________________________
tycho-user mailing list
https://dev.eclipse.org/mailman/listinfo/tycho-user
Continue reading on narkive:
Loading...